% Calcolo fattore attrito di Moody, in funzione di Reynolds e della
% scabrezza relativa
function f = moody_calc(Re,e)

  %options = optimset('Display','iter','PlotFcns',@optimplotfval,'TolX',1e-6);
  options = optimset('TolX',1e-6);
  [f,fval,exitflag,output] = fminbnd(@(f)moody_residual(f,Re,e),1e-6,0.1,options);

return

end

function R = moody_residual(f,Re,e)

R = (abs(1/sqrt(f) + 2.0*log(2.51/(Re*sqrt(f))+e/3.71)))*sqrt(f);

return

end